Loading...
Searching...
No Matches
osmo_ss7_asp Struct Reference

`#include <ss7_asp.h>`

## Data Fields

struct llist_head | list
| entry in osmo_ss7_instance::asp_list
struct osmo_ss7_instance * | inst
struct osmo_fsm_inst * | fi
| ASP FSM.
struct osmo_xua_server * | xua_server
| osmo_xua_server over which we were established
struct llist_head | siblings
struct osmo_stream_cli * | client
| osmo_stream / libosmo-netif handles
struct osmo_stream_srv * | server
char * | sock_name
| pre-formatted human readable local/remote socket name
uint32_t | asp_id
bool | asp_id_present
const struct osmo_xua_layer_manager * | lm
void * | lm_priv
bool | dyn_allocated
| Were we dynamically allocated.
bool | simple_client_allocated
| Were we allocated by "simple client" support?
struct rate_ctr_group * | ctrg
| Rate Counter Group.
struct msgb * | pending_msg
| Pending message for non-blocking IPA read.
struct { |
char * name |
char * description |
enum osmo_ss7_asp_protocol proto |
enum osmo_ss7_asp_admin_state adm_state |
bool is_server |
enum osmo_ss7_asp_role role |
bool role_set_by_vty |
bool trans_role_set_by_vty |
struct osmo_ss7_asp_peer local |
struct osmo_ss7_asp_peer remote |
uint8_t qos_class |
uint32_t quirks |
struct osmo_tdef * T_defs_lm |
struct { |
bool num_ostreams_present |
bool max_instreams_present |
bool max_attempts_present |
bool max_init_timeo_present |
uint16_t num_ostreams_value |
uint16_t max_instreams_value |
uint16_t max_attempts_value |
uint16_t max_init_timeo_value |
} sctp_init |
int trans_proto |
| The underlaying transport protocol (one of IPPROTO_*) More...
} | cfg |

## Field Documentation

## adm_state

enum osmo_ss7_asp_admin_state osmo_ss7_asp::adm_state

## asp_id

uint32_t osmo_ss7_asp::asp_id

Referenced by as_notify_all_asp(), notify_any_other_active_asp_as_inactive(), peer_send(), ss7_asp_ipa_srv_conn_rx_cb(), xua_asp_fsm_down(), and xua_cli_connect_cb().

## asp_id_present

bool osmo_ss7_asp::asp_id_present

Referenced by as_notify_all_asp(), notify_any_other_active_asp_as_inactive(), peer_send(), and xua_asp_fsm_down().

## [struct]

struct { ... } osmo_ss7_asp::cfg

Referenced by as_notify_all_asp(), asp_handle_sctp_notif_monitor_primary_address(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), get_local_role(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), ipa_rx_msg(), ipa_rx_msg_sccp(), is_single_ipa_asp(), lm_rkm_reg(), lm_timer_cb(), m3ua_rx_msg(), m3ua_rx_snm(), m3ua_rx_snm_asp(), m3ua_tx_xua_asp(), notify_any_other_active_asp_as_inactive(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_by_proto(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_log_subsys(), osmo_ss7_asp_get_name(), osmo_ss7_asp_get_proto(), osmo_ss7_asp_get_trans_proto(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), osmo_ss7_asp_use_default_lm(), osmo_ss7_route_name(), sctp_peer_addr_change_ev_addr_matches_our_primary(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_assoc_status_tcp(), show_one_asp_remaddr(), show_one_asp_remaddr_tcp(), ss7_asp_alloc(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_get_fd(), ss7_asp_is_started(), ss7_asp_rx_unknown(), ss7_asp_set_default_peer_hosts(), ss7_asp_xua_srv_conn_closed_cb(), ss7_asp_xua_srv_conn_rx_cb(), sua_rx_msg(), sua_rx_snm(), sua_rx_snm_asp(), sua_snm_ssn_available(), sua_tx_xua_asp(), write_asp_timers(), write_one_as(), write_one_asp(), xua_accept_cb(), xua_asp_fsm_start(), xua_cli_connect_cb(), xua_cli_read_cb(), xua_find_as_for_asp(), xua_snm_pc_available(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_snm_scon(), xua_snm_upu(), xua_tx_scon(), xua_tx_snm_available(), and xua_tx_upu().

## client

struct osmo_stream_cli* osmo_ss7_asp::client

osmo_stream / libosmo-netif handles

Referenced by get_fd_from_iafp(), osmo_ss7_asp_destroy(), osmo_ss7_asp_disconnect(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_get_fd(), and ss7_asp_is_started().

## ctrg

struct rate_ctr_group* osmo_ss7_asp::ctrg

Rate Counter Group.

Referenced by ipa_cli_read_cb(), osmo_ss7_asp_destroy(), osmo_ss7_asp_send(), ss7_asp_alloc(), ss7_asp_ipa_srv_conn_rx_cb(), ss7_asp_m3ua_tcp_srv_conn_rx_cb(), ss7_asp_rx_unknown(), ss7_asp_xua_srv_conn_rx_cb(), and xua_cli_read_cb().

## description

char* osmo_ss7_asp::description

Referenced by DEFUN_ATTR(), and write_one_asp().

## dyn_allocated

bool osmo_ss7_asp::dyn_allocated

Were we dynamically allocated.

Referenced by ipa_asp_fsm_start(), ss7_asp_xua_srv_conn_closed_cb(), write_one_as(), write_one_asp(), and xua_accept_cb().

## fi

struct osmo_fsm_inst* osmo_ss7_asp::fi

ASP FSM.

Referenced by as_notify_all_asp(), check_any_other_asp_in_active(), check_any_other_asp_not_down(), handle_rkey_dereg(), ipa_rx_msg_ccm(), lm_active(), lm_idle(), lm_wait_notify(), m3ua_rx_asp(), m3ua_rx_snm(), notify_any_other_active_asp_as_inactive(), osmo_ss7_as_add_asp(), osmo_ss7_asp_active(), osmo_ss7_asp_destroy(), osmo_ss7_asp_restart(), restart_asp(), show_one_asp(), ss7_asp_xua_srv_conn_closed_cb(), sua_rx_asp(), sua_rx_snm(), xua_accept_cb(), xua_as_fsm_inactive(), xua_asp_send_xlm_prim(), xua_cli_close(), and xua_cli_connect_cb().

## inst

struct osmo_ss7_instance* osmo_ss7_asp::inst

Referenced by as_list_for_asp(), DEFUN(), DEFUN_ATTR(), DEFUN_ATTR(), determine_traf_mode(), dispatch_to_all_as(), find_first_as_in_asp(), find_single_as_for_asp(), get_all_rctx_for_asp(), handle_reg_conf(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_wait_id_resp(), ipa_find_as_for_asp(), ipa_rx_msg_sccp(), m3ua_rx_xfer(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_instance_destroy(), osmo_ss7_instance_get_id(), osmo_ss7_instance_get_name(), osmo_ss7_instance_get_primary_pc(), osmo_ss7_instance_set_pc_fmt(), osmo_ss7_vty_go_parent(), show_asp(), show_asp_assoc_status(), show_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), xua_asp_fsm_inactive(), xua_find_as_for_asp(), xua_msg_add_asp_rctx(), xua_rkm_cleanup_dyn_as_for_asp(), xua_snm_rx_daud(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), and xua_snm_rx_scon().

## is_server

bool osmo_ss7_asp::is_server

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), ipa_rx_msg_sccp(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), show_one_asp(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_get_fd(), ss7_asp_is_started(), write_one_asp(), and xua_accept_cb().

## list

struct llist_head osmo_ss7_asp::list

entry in osmo_ss7_instance::asp_list

Referenced by osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_destroy(), osmo_ss7_asp_find_by_name(), osmo_ss7_instance_destroy(), show_asp(), show_asp_assoc_status(), show_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), sua_snm_ssn_available(), xua_snm_pc_available(), xua_snm_scon(), and xua_snm_upu().

## lm

const struct osmo_xua_layer_manager* osmo_ss7_asp::lm

Referenced by osmo_ss7_asp_use_default_lm(), xua_asp_fsm_down(), xua_asp_send_xlm_prim(), and xua_cli_connect_cb().

## lm_priv

void* osmo_ss7_asp::lm_priv

Referenced by default_lm_prim_cb(), and osmo_ss7_asp_use_default_lm().

## local

struct osmo_ss7_asp_peer osmo_ss7_asp::local

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_restart(), show_one_asp(), ss7_asp_alloc(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_set_default_peer_hosts(), write_one_asp(), and xua_accept_cb().

## max_attempts_present

bool osmo_ss7_asp::max_attempts_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## max_attempts_value

uint16_t osmo_ss7_asp::max_attempts_value

Referenced by DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## max_init_timeo_present

bool osmo_ss7_asp::max_init_timeo_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## max_init_timeo_value

uint16_t osmo_ss7_asp::max_init_timeo_value

Referenced by DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## max_instreams_present

bool osmo_ss7_asp::max_instreams_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## max_instreams_value

uint16_t osmo_ss7_asp::max_instreams_value

Referenced by DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## name

char* osmo_ss7_asp::name

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), handle_rkey_dereg(), handle_rkey_reg(), ipa_asp_fsm_start(), ipa_asp_fsm_wait_id_resp(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_as_add_asp(), osmo_ss7_as_del_asp(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_name(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_name(), osmo_ss7_asp_restart(), osmo_ss7_asp_use_default_lm(), osmo_ss7_route_name(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_assoc_status_tcp(), show_one_asp_remaddr(), show_one_asp_remaddr_tcp(), ss7_asp_alloc(), ss7_asp_xua_srv_conn_closed_cb(), write_one_as(), write_one_asp(), xua_accept_cb(), xua_asp_fsm_start(), and xua_find_as_for_asp().

## num_ostreams_present

bool osmo_ss7_asp::num_ostreams_present

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## num_ostreams_value

uint16_t osmo_ss7_asp::num_ostreams_value

Referenced by DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## pending_msg

struct msgb* osmo_ss7_asp::pending_msg

Pending message for non-blocking IPA read.

## proto

enum osmo_ss7_asp_protocol osmo_ss7_asp::proto

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), DEFUN_ATTR(), ipa_rx_msg(), is_single_ipa_asp(), m3ua_rx_msg(), m3ua_tx_xua_asp(), notify_any_other_active_asp_as_inactive(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_by_proto(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_log_subsys(), osmo_ss7_asp_get_proto(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), show_one_asp(), ss7_asp_alloc(), ss7_asp_rx_unknown(), ss7_asp_xua_srv_conn_rx_cb(), sua_rx_msg(), sua_snm_ssn_available(), sua_tx_xua_asp(), write_one_asp(), xua_asp_fsm_start(), xua_cli_connect_cb(), xua_cli_read_cb(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_tx_scon(), xua_tx_snm_available(), and xua_tx_upu().

## qos_class

uint8_t osmo_ss7_asp::qos_class

Referenced by DEFUN_ATTR(), and write_one_asp().

## quirks

uint32_t osmo_ss7_asp::quirks

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), lm_timer_cb(), m3ua_rx_snm(), m3ua_rx_snm_asp(), sua_rx_snm(), sua_rx_snm_asp(), and write_one_asp().

## remote

struct osmo_ss7_asp_peer osmo_ss7_asp::remote

Referenced by asp_handle_sctp_notif_monitor_primary_address(), DEFUN_ATTR(), DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_restart(), sctp_peer_addr_change_ev_addr_matches_our_primary(), show_one_asp(), ss7_asp_alloc(), ss7_asp_apply_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_set_default_peer_hosts(), write_one_asp(), and xua_accept_cb().

## role

enum osmo_ss7_asp_role osmo_ss7_asp::role

Referenced by as_notify_all_asp(), DEFUN_ATTR(), DEFUN_ATTR(), get_local_role(), m3ua_rx_snm(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_restart(), show_one_asp(), sua_rx_snm(), sua_snm_ssn_available(), write_one_asp(), xua_accept_cb(), xua_snm_pc_available(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_dupu(), xua_snm_scon(), and xua_snm_upu().

## role_set_by_vty

bool osmo_ss7_asp::role_set_by_vty

Referenced by DEFUN_ATTR(), and osmo_sccp_simple_client_on_ss7_id().

## [struct]

struct { ... } osmo_ss7_asp::sctp_init

Referenced by DEFUN_ATTR(), DEFUN_ATTR(), osmo_ss7_asp_restart(), and write_one_asp().

## server

struct osmo_stream_srv* osmo_ss7_asp::server

Referenced by get_fd_from_iafp(), osmo_ss7_asp_destroy(), osmo_ss7_asp_disconnect(), osmo_ss7_asp_restart(), osmo_ss7_asp_send(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_get_fd(), ss7_asp_is_started(), ss7_asp_xua_srv_conn_closed_cb(), and xua_accept_cb().

## siblings

struct llist_head osmo_ss7_asp::siblings

Referenced by osmo_ss7_asp_destroy(), ss7_xua_server_destroy(), and xua_accept_cb().

## simple_client_allocated

bool osmo_ss7_asp::simple_client_allocated

Were we allocated by "simple client" support?

Referenced by osmo_sccp_simple_client_on_ss7_id(), write_one_as(), and write_one_asp().

## sock_name

char* osmo_ss7_asp::sock_name

pre-formatted human readable local/remote socket name

Referenced by osmo_ss7_route_name(), xua_accept_cb(), and xua_cli_connect_cb().

## T_defs_lm

struct osmo_tdef* osmo_ss7_asp::T_defs_lm

Referenced by DEFUN_ATTR(), lm_rkm_reg(), ss7_asp_alloc(), and write_asp_timers().

## trans_proto

int osmo_ss7_asp::trans_proto

The underlaying transport protocol (one of IPPROTO_*)

Referenced by DEFUN_ATTR(), osmo_sccp_simple_client_on_ss7_id(), osmo_sccp_simple_server_add_clnt(), osmo_ss7_asp_find(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create(), osmo_ss7_asp_find_or_create2(), osmo_ss7_asp_get_trans_proto(), osmo_ss7_asp_restart(), show_one_asp(), show_one_asp_assoc_status(), show_one_asp_remaddr(), ss7_asp_alloc(), ss7_asp_find_by_socket_addr(), write_one_asp(), and xua_cli_connect_cb().

## trans_role_set_by_vty

bool osmo_ss7_asp::trans_role_set_by_vty

Referenced by DEFUN_ATTR(), and osmo_sccp_simple_client_on_ss7_id().

## xua_server

struct osmo_xua_server* osmo_ss7_asp::xua_server

osmo_xua_server over which we were established

Referenced by osmo_ss7_asp_destroy(), and xua_accept_cb().

The documentation for this struct was generated from the following file:

- src/ss7_asp.h